.modal {
    position: fixed;
    display: flex;
    z-index: 90;
    padding: 0px;
    margin: 0px auto;
    top: 0px;
    left: 0px;
    // background-color: rgba(0,0,0,0.5);
    width: 100%; // only bns F1 100%;
    min-height: 100vh; // only bns F1 100%;
    height:100%;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    transition: all 200ms ease-in;
    // font-family: 'Kanit', sans-serif;
    &.close {
        display: none !important;
    }

    &__backdrop {
        z-index: 1;
        position: fixed;
        // background-color: rgba(255,255,255,0.8);
        background-color: rgba(0,0,0,0.9);
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
    }
    &__content {
        z-index: 2;
        position: fixed;
        // background: url('./../static/images/popup_bg.png') no-repeat top center;
        background-size: cover;
        border: 5px solid #c4a193;
        color: #FFFFFF;
        font-size: 20px;
        padding: 50px 0 80px 0;
        text-align: center;
        width: 420px;
        left: 50%;
        top: 50%;
        transform: translate3d(-50%,-50%,0);
    }
    &__head {
        text-align: center;
        color: #c4a193;
        font-size: 26px;
        margin-bottom: 40px;
        line-height: 24px;
        position: relative;
        display: inline-block;
        &::before{
            content: '';
            // background: url('./../static/images/before.png') no-repeat top center;
            width: 120px;
            height: 18px;
            display: block;
            position: absolute;
            right: 100%;
            top: 50%;
            margin-top: -5px;
        }
        &::after{
            content: '';
            // background: url('./../static/images/after.png') no-repeat top center;
            width: 120px;
            height: 18px;
            display: block;
            position: absolute;
            left: 100%;
            top: 50%;
            margin-top: -5px;
        }
    }
    &__bottom {
        position: absolute;
        display: block;
        width: 100%;
        bottom: 0px;
        transform: translate3d(0, 50%,0);
    }
    &__button {
        cursor: pointer;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        width: 140px;
        height: 40px;
        line-height: 40px;
        margin:0 .4em;
        color:#fdf2e0;
        // background: url('./../static/images/popup_button.png') no-repeat center 0;
        &:hover{
            background-position: center -62px;
        }
    }
}
.inbox {
    display: block;
    width: 250px;
    padding: 15px;
    margin: 0px auto;
    border-radius: 20px;
    //background-color: #de7e70;
    text-align: center;
    font-size: 18px;
    color: #fff;
    &__head {
        display: block;
        font-size: 1.5em;
        text-align: center;
        line-height: 2em;
    }
}

.input_uid{
    // background-color: rgba(195, 161, 147,0.3);
    // border: 1px solid #c3a193;
    border:0;
    background-color: transparent;
    font-size: 22px;
    text-align: center;
    width: 100%;
    color: #fff;
    &:focus{
        outline: none;
    }
}
.icon-close{
    position: absolute;
    right: -17px;
    top: -35px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
}
.modal__packageDetail{
    & .modal__content{
        width: 740px;
        height: 380px;
        // background: url('./../static/images/bg_blog.png') no-repeat top center;
        background-size: cover;
        border: 0;
        padding: 50px;
    }
}
